//
//  AppDelegate.m
//  NEMutSeqAnalyzer
//
//  Created by 萩原 弘一 on 2013/05/28.
//  Copyright (c) 2013年 萩原 弘一. All rights reserved.
//
/* Copyright 2016 Koichi Hagiwara
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import "AppDelegate.h"

@implementation AppDelegate {
    
}

-( id )init {
    self = [ super init ];
    if( self ) {
        NSUserDefaults *defaults = [ NSUserDefaults standardUserDefaults ];
        if( [ defaults valueForKey:@"leaveIntermediateFiles" ] == nil ){
            [ defaults setValue:@NO forKey:@"leaveIntermediateFiles" ];
        }
        if( [ defaults valueForKey:@"calculateFalsePositiveRate" ] == nil ){
            [ defaults setValue:@NO forKey:@"calculateFalsePositiveRate" ];
        }
        if( [ defaults valueForKey:@"nD1Threshold" ] == nil ){
            [ defaults setValue:@"500" forKey:@"nD1Threshold" ];
        }
        if( [ defaults valueForKey:@"nD2Threshold" ] == nil ){
            [ defaults setValue:@"10" forKey:@"nD2Threshold" ];
        }
        if( [ defaults valueForKey:@"windowSizeMidi" ] == nil ){
            [ defaults setValue:@NO forKey:@"windowSizeMidi" ];
        }
    }
    return self;
}

-( BOOL )applicationShouldOpenUntitledFile:( NSApplication * )sender{
    return NO;
}

-( IBAction )showPreferenceWindow:( id )sender {
    [ preferenceWindow makeKeyAndOrderFront:sender ];
}

-( BOOL )validateMenuItem:( NSMenuItem * )anItem
{
    if( [ [ anItem title ] rangeOfString:@"Preferences" ].location != NSNotFound ) {
        return YES;
    }
    return  [ super validateMenuItem:anItem ];
}
@end
