//
//  ResultCalc.h
//  MINtS analyzer
//
//  Created by 萩原 弘一 on 2013/09/19.
//  Copyright (c) 2013年 萩原 弘一. All rights reserved.
//
/* Copyright 2016 Koichi Hagiwara
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import <Foundation/Foundation.h>
@class SummaryForEachPatient;
@class MainRoutine;
@interface ResultCalc : NSObject {
    MainRoutine *mainRoutine;
}
-( double )noMutantReadsAtFalseNegativeThresholdForTotalNoReads:( NSInteger )numberOfRead frequencyOfTruelyMutantReads:( double )frequencyOfTruelyMutantReads falseNegativeRate:( double )falseNegativeRate;

-( double )noMutantReadsAtFalsePositiveThresholdForTotalNoReads:( NSInteger )numberOfRead frequencyOfFalselyMutantReads:( double )frequencyOfFalselyMutantReads falsePositiveRate:( double )falsePositiveRate;

-( double )cumBinomialToNumberOfReads:( NSInteger )k totalNoReads:( NSInteger )n frequencyOfMutantReads:( double )p;

-( double )binomialValueAt:( NSInteger )k totalNoReads:( NSInteger )n frequencyOfMutantReads:( double )p;

-( void )summarizeResultForPatient:( NSString * )ptNo mutDomains:( NSMutableArray * )mutDomains summaryForEachPatient:( SummaryForEachPatient * )summaryForEachPatient;
-( void )calculateResult:( MutDomain * )mutdomain;

@property MainRoutine *mainRoutine;
@end
