//
//  ReportGermlineDNA.h
//  MINtS analyzer
//
//  Created by 萩原 弘一 on 2014/12/02.
//  Copyright (c) 2014年 萩原 弘一. All rights reserved.
//
/* Copyright 2016 Koichi Hagiwara
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import <Foundation/Foundation.h>
@class MutDomain;
@interface ReportGermlineDNA : NSObject < NSCoding > {
    MutDomain   *mutDomain;
    NSString    *patientNo;
    NSString    *areaSearched;
    NSString    *allelicType;
}

-( void )encodeWithCoder:( NSCoder * )aCoder;
-( id )initWithCoder:( NSCoder * )aDecoder;

@property   MutDomain   *mutDomain;
@property   NSString    *patientNo;
@property   NSString    *areaSearched;
@property   NSString    *allelicType;

@end
