//
//  ReportGermlineDNA.m
//  MINtS analyzer
//
//  Created by 萩原 弘一 on 2014/12/02.
//  Copyright (c) 2014年 萩原 弘一. All rights reserved.
//
/* Copyright 2016 Koichi Hagiwara
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import "ReportGermlineDNA.h"

@implementation ReportGermlineDNA
@synthesize mutDomain;
@synthesize patientNo;
@synthesize areaSearched;
@synthesize allelicType;

-( void )encodeWithCoder:( NSCoder * )aCoder {
    [ aCoder encodeObject:mutDomain forKey:@"mutDomain" ];
    [ aCoder encodeObject:patientNo forKey:@"patientNo" ];
    [ aCoder encodeObject:areaSearched forKey:@"areaSearched" ];
    [ aCoder encodeObject:allelicType forKey:@"allelicType" ];
}

-( id )initWithCoder:( NSCoder * )aDecoder {
    self = [ super init ];
    mutDomain = [ aDecoder decodeObjectForKey:@"mutDomain" ];
    patientNo = [ aDecoder decodeObjectForKey:@"patientNo" ];
    areaSearched = [ aDecoder decodeObjectForKey:@"areaSearched" ];
    allelicType = [ aDecoder decodeObjectForKey:@"allelicType" ];
    return self;
}

@end
