//
//  Mutation.h
//  MainRoutine
//
//  Created by 萩原 弘一 on 2013/09/02.
//  Copyright (c) 2013年 萩原 弘一. All rights reserved.
//
/* Copyright 2016 Koichi Hagiwara
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

//0.96a Multi-threaded
#define CONSIDER_PHREDSCORE

#define CR 13
#define LF 10
#define	BUFFERSIZE	100000
#define THRESHOLD_OF_MISCALL_FOR_ALIGNING_PAIRS 4
#define PHREDSCORETHRESHOLDTOCUT 30

#define MIN_NUMBER_OF_READS_REQUIRED_FOR_SOMATIC_DNA 100L
#define MIN_NUMBER_OF_READS_REQUIRED_FOR_FUSION_MRNA 10L
#define MIN_NUMBER_OF_READS_TO_DIAGNOSE_MUTATION 50L
#define NUMBER_OF_PATIENTS_PER_KIT 1000

#define NUMBER_OF_READS_PER_CHUNK 1000
#define R1SEQLENGTH 510
#define R1R2SEQLENGTH 1020


char *myFgets(char * str, int size, FILE * stream );
char *nucStrstrT( const char *s1, const char *s2, const char *qs1, const char threshold );
char *nucStrstrWildCardT( const char *s1, const char *s2, const char *qs1, const char threshold );
char *nucStrstr( const char *s1, const char *s2 );
char *nucStrstrWildCard( const char *s1, const char *s2 );
char *rcC( char *str );
char *reverseC( char *str );

#import "MintsApplication.h"
#import "MintsDocument.h"
#import "stdio.h"
#import "string.h"
#import "math.h"
#import "WindowController.h"
#import "MintsDocument.h"
#import "Mutation.h"
#import "MutDomain.h"
#import "MainRoutine.h"
#import "ResultCalc.h"
#import "SummaryForEachPatient.h"
#import "ReportGermlineDNA.h"
#import "ReportSomaticDNA.h"
#import "ReportGermlineRNA.h"
#import "ReportSomaticRNA.h"
