//
//  reportSomaticDNA.m
//  MINtS analyzer
//
//  Created by 萩原 弘一 on 2013/11/02.
//  Copyright (c) 2013年 萩原 弘一. All rights reserved.
//
/* Copyright 2016 Koichi Hagiwara
 This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#import "reportSomaticDNA.h"

@implementation ReportSomaticDNA
@synthesize   mutDomain;
@synthesize   patientNo;
@synthesize   areaSearched;
@synthesize   diagnosis;
@synthesize   mutantCellRatio;
@synthesize   comment;

-( void )encodeWithCoder:( NSCoder * )aCoder {
    [ aCoder encodeObject:mutDomain forKey:@"mutDomain" ];
    [ aCoder encodeObject:patientNo forKey:@"patientNo" ];
    [ aCoder encodeObject:areaSearched forKey:@"areaSearched" ];
    [ aCoder encodeObject:diagnosis forKey:@"diagnosis" ];
    [ aCoder encodeObject:mutantCellRatio forKey:@"mutantCellRatio" ];
    [ aCoder encodeObject:comment forKey:@"comment" ];
}

-( id )initWithCoder:( NSCoder * )aDecoder {
    self = [ super init ];
    mutDomain = [ aDecoder decodeObjectForKey:@"mutDomain" ];
    patientNo = [ aDecoder decodeObjectForKey:@"patientNo" ];
    areaSearched = [ aDecoder decodeObjectForKey:@"areaSearched" ];
    diagnosis = [ aDecoder decodeObjectForKey:@"diagnosis" ];
    mutantCellRatio = [ aDecoder decodeObjectForKey:@"mutantCellRatio" ];
    comment = [ aDecoder decodeObjectForKey:@"comment" ];
    return self;
}

@end
